#!/bin/sh

# ------------------------------------------------------------------------------
# YourKit Java Profiler startup script
# ------------------------------------------------------------------------------

_YH_=`dirname "$0"`/..
if [ ! -r "$_YH_/lib/yjp.jar" ] ; then
  echo "Cannot start YourKit Java Profiler."
  echo "Please launch yjp.sh with {YourKit Java Profiler Home}/bin as working directory."
  exit
fi

JAVA_EXE="$_YH_/jre/bin/java"
if [ ! -r "$JAVA_EXE" ] ; then
  JAVA_EXE="$YJP_JAVA_HOME/bin/java"
  if [ -z "$YJP_JAVA_HOME" ] || [ ! -r "$JAVA_EXE" ] ; then
    JAVA_EXE="$JAVA_HOME/bin/java"
    if [ -z "$JAVA_HOME" ] || [ ! -r "$JAVA_EXE" ] ; then
      JAVA_EXE=java
      JVM_VERSION=`java -version 2>&1 | grep version`
      if [ -z "$JVM_VERSION" ] ; then
        echo "To run YourKit Java Profiler Java 5 or newer should be available."
        echo "Please make sure you have 'java' in your current PATH"
        echo "or set YJP_JAVA_HOME or JAVA_HOME environment variable to Java installation directory."
        exit
      fi
    fi
  fi
fi

JAVA_TOOL_OPTIONS=
export JAVA_TOOL_OPTIONS
exec $JAVA_EXE -Xmx512m -jar "$_YH_/lib/yjp.jar" $1 $2 $3 $4 $5 $6 $7 $8 $9
