#!/bin/sh

_SAMPLE_DIR_=`dirname "$0"`
_YH_="$_SAMPLE_DIR_/../.."

# Specify path to proper version of profiler agent library, depending on the OS
if [ `uname` = 'Linux' ] ; then
  if [ "`uname -a | grep x86_64`" ] ; then
    # Assume Linux AMD 64 has 64-bit Java
    export LD_LIBRARY_PATH="$_YH_/bin/linux-x86-64:$LD_LIBRARY_PATH"
  else
    # 32-bit Java
    export LD_LIBRARY_PATH="$_YH_/bin/linux-x86-32:$LD_LIBRARY_PATH"
  fi
elif [ `uname` = 'Darwin' ] ; then
  # Mac OS X
  export DYLD_LIBRARY_PATH="$_YH_/bin/mac:$DYLD_LIBRARY_PATH"
elif [ `uname` = 'SunOS' ] ; then
  # Solaris, unlike Linux, probes entire LD_LIBRARY_PATH instead of stopping after first improper shared library
  LD_LIBRARY_PATH="$_YH_/bin/solaris-sparc-32:$_YH_/bin/solaris-sparc-64:$_YH_/bin/solaris-x86-32:$_YH_/bin/solaris-x86-64:$LD_LIBRARY_PATH"
  export LD_LIBRARY_PATH
else
  echo "Unsupported platform: `uname`"
  exit
fi

# The following line is added to use JVMTI version of profiler agent in Java 5 or newer
JAVA_TOOL_OPTIONS=-agentlib:yjpagent
export JAVA_TOOL_OPTIONS

if [ `uname` = 'Darwin' ] ; then
  # Mac OS X: use Java 5 if possible
  JAVA_EXE=/System/Library/Frameworks/JavaVM.framework/Versions/1.5/Home/bin/java
  if [ ! -r "$JAVA_EXE" ] ; then
    JAVA_EXE=java
  fi
else
  JAVA_EXE=java
fi

"$JAVA_EXE" -Xrunyjpagent -classpath "$_YH_/lib/yjp-controller-api-redist.jar:$_SAMPLE_DIR_/classes" APIDemo1
